Skip to main content
GET
Get Process Instance

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the process instance to be retrieved.

Response

Request successful.

id
string | null

The id of the process instance.

definitionId
string | null

The id of the process definition that this process instance belongs to.

businessKey
string | null

The business key of the process instance.

caseInstanceId
string | null

The id of the case instance associated with the process instance.

ended
boolean | null
deprecated

A flag indicating whether the process instance has ended or not. Deprecated: will always be false!

suspended
boolean | null

A flag indicating whether the process instance is suspended or not.

tenantId
string | null

The tenant id of the process instance.

The links associated to this resource, with method, href and rel.